Open Lighting Architecture: ola::plugin::usbpro::NewWidgetHandler Class Reference

| Open Lighting Architecture 0.10.9

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ola::plugin::usbpro::NewWidgetHandler Class Referenceabstract

## Detailed Description

The interface to implement to catch new widgets from the WidgetDetectorThread.

We overload the NewWidget method based on the type of widget discovered.

Inheritance diagram for ola::plugin::usbpro::NewWidgetHandler:

## Public Member Functions
virtual void | NewWidget (class ArduinoWidget *widget, const UsbProWidgetInformation &information)=0
virtual void | NewWidget (class EnttecUsbProWidget *widget, const UsbProWidgetInformation &information)=0
virtual void | NewWidget (class DmxTriWidget *widget, const UsbProWidgetInformation &information)=0
virtual void | NewWidget (class DmxterWidget *widget, const UsbProWidgetInformation &information)=0
virtual void | NewWidget (class RobeWidget *widget, const RobeWidgetInformation &information)=0
virtual void | NewWidget (class UltraDMXProWidget *widget, const UsbProWidgetInformation &information)=0

## Member Function Documentation

## ◆ NewWidget() [1/6]

virtual void ola::plugin::usbpro::NewWidgetHandler::NewWidget | ( | class ArduinoWidget * | widget,
|  | const UsbProWidgetInformation & | information )
| pure virtual

Implemented in ola::plugin::usbpro::UsbSerialPlugin.

## ◆ NewWidget() [2/6]

virtual void ola::plugin::usbpro::NewWidgetHandler::NewWidget | ( | class DmxterWidget * | widget,
|  | const UsbProWidgetInformation & | information )
| pure virtual

Implemented in ola::plugin::usbpro::UsbSerialPlugin.

## ◆ NewWidget() [3/6]

virtual void ola::plugin::usbpro::NewWidgetHandler::NewWidget | ( | class DmxTriWidget * | widget,
|  | const UsbProWidgetInformation & | information )
| pure virtual

Implemented in ola::plugin::usbpro::UsbSerialPlugin.

## ◆ NewWidget() [4/6]

virtual void ola::plugin::usbpro::NewWidgetHandler::NewWidget | ( | class EnttecUsbProWidget * | widget,
|  | const UsbProWidgetInformation & | information )
| pure virtual

Implemented in ola::plugin::usbpro::UsbSerialPlugin.

## ◆ NewWidget() [5/6]

virtual void ola::plugin::usbpro::NewWidgetHandler::NewWidget | ( | class RobeWidget * | widget,
|  | const RobeWidgetInformation & | information )
| pure virtual

Implemented in ola::plugin::usbpro::UsbSerialPlugin.

## ◆ NewWidget() [6/6]

virtual void ola::plugin::usbpro::NewWidgetHandler::NewWidget | ( | class UltraDMXProWidget * | widget,
|  | const UsbProWidgetInformation & | information )
| pure virtual

Implemented in ola::plugin::usbpro::UsbSerialPlugin.

The documentation for this class was generated from the following file:

- plugins/usbpro/WidgetDetectorThread.h